File koan-no-xend.dif of Package koan

Index: koan-2.9.0/koan/app.py
===================================================================
--- koan-2.9.0.orig/koan/app.py
+++ koan-2.9.0/koan/app.py
@@ -38,6 +38,7 @@ import errno
 import re
 import sys
 import socket
+import logging
 from .cexceptions import InfoException
 from . import utils
 from . import configurator
@@ -713,17 +714,17 @@ class Koan:
                 if uname_str < "2.6.37" and uname_str.find("xen") == -1:
                     raise InfoException(
                         "kernel >= 2.6.37 or kernel-xen needs to be in use")
-                # xend installed?
-                if not os.path.exists("/usr/sbin/xend"):
-                    raise InfoException("xen package needs to be installed")
-                # xend running?
-                rc = subprocess.call(
-                    "/usr/sbin/xend status",
-                    stderr=None,
-                    stdout=None,
-                    shell=True)
-                if rc != 0:
-                    raise InfoException("xend needs to be started")
+                if os.path.exists("/usr/sbin/xend"):
+                    # xend running?
+                    rc = subprocess.call(
+                        "/usr/sbin/xend status",
+                        stderr=None,
+                        stdout=None,
+                        shell=True)
+                    if rc != 0:
+                        raise InfoException("xend needs to be started")
+                else:
+                    print("xend not found - expecting libxenlight")
 
             # for qemu
             if self.virt_type in ["qemu", "kvm"]:
openSUSE Build Service is sponsored by